<div class="form-wrapper" @fade>
  <form [formGroup]="postForm" (ngSubmit)="onSubmit()" class="form">
    <div [ngClass]="{ invalid: isInvalid('title') }">
      <label for="name">Title:</label>
      <input
        formControlName="title"
        type="text"
        name="title"
        placeholder="Title.."
      />
    </div>
    <div [ngClass]="{ invalid: isInvalid('content') }">
      <label for="content">Content:</label>
      <textarea
        formControlName="content"
        rows="5"
        type="text"
        name="content"
        placeholder="Content.."
      ></textarea>
    </div>
    <div [ngClass]="{ invalid: isInvalid('author') }">
      <label for="author">Author:</label>
      <input
        formControlName="author"
        type="text"
        name="author"
        placeholder="Your name.."
      />
    </div>
    <div [ngClass]="{ invalid: isInvalid('date') }">
      <label for="date">Date:</label>
      <input formControlName="date" type="date" name="date" />
    </div>
    <button class="saveBtn" type="submit" [disabled]="!postForm.valid">
      Save
    </button>
    <button class="cancelBtn" type="button" (click)="onCancel()">Cancel</button>
    <button
      *ngIf="status === statuses.Edit"
      class="deleteBtn"
      type="button"
      (click)="onDelete()"
    >
      Delete
    </button>
  </form>
</div>
